com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class DependentTypeSignatureVisitor

- java.lang.Object
- - org.objectweb.asm.signature.SignatureVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractTypeSignatureVisitor<DependentDescriptor>
    - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.DependentTypeSignatureVisitor

-     public class DependentTypeSignatureVisitor
      extends AbstractTypeSignatureVisitor<DependentDescriptor>

  Type signature visitor which adds a dependency to a resolved types.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.signature.SignatureVisitor

      `api, EXTENDS, INSTANCEOF, SUPER`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.objectweb.asm.signature.SignatureVisitor` | `visitArrayType()`
    `void` | `visitEnd(TypeDescriptor resolvedTypeDescriptor)`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitInterface()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitSuperclass()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitTypeArgument(char wildcard)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractTypeSignatureVisitor

      `getContainingType, getVisitorHelper, visitClassType, visitEnd, visitInnerClassType`

    - ### Methods inherited from class org.objectweb.asm.signature.SignatureVisitor

      `visitBaseType, visitClassBound, visitExceptionType, visitFormalTypeParameter, visitInterfaceBound, visitParameterType, visitReturnType, visitTypeArgument, visitTypeVariable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### visitSuperclass

          public org.objectweb.asm.signature.SignatureVisitor visitSuperclass()

      Overrides:
        `visitSuperclass` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInterface

          public org.objectweb.asm.signature.SignatureVisitor visitInterface()

      Overrides:
        `visitInterface` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitArrayType

          public org.objectweb.asm.signature.SignatureVisitor visitArrayType()

      Overrides:
        `visitArrayType` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitTypeArgument

          public org.objectweb.asm.signature.SignatureVisitor visitTypeArgument(char wildcard)

      Overrides:
        `visitTypeArgument` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitEnd

          public void visitEnd(TypeDescriptor resolvedTypeDescriptor)

      Specified by:
        `visitEnd` in class `AbstractTypeSignatureVisitor<DependentDescriptor>`

Copyright © 2015 buschmais GbR. All rights reserved.